
Ryzom - Bug # 876

Status: Closed Priority: Normal
Author: Nille02 Category: Build
Created: 05/11/2010 Assignee: sfb
Updated: 05/28/2010 Due date:
Subject: Nel driver_xaudio2 and driver_dsound failed to compile.
Description

The driver_xaudio2 and driver_dsound failed to compile since changeset 77

Kompilieren...
stdxaudio2.cpp
Kompilieren...
sound_driver_xaudio2.cpp
c:\dev\ryzom\code\nel\src\sound\driver\xaudio2\music_channel_xaudio2.h(24) : fatal error C1083: Datei (Include) kann nicht geöffnet
werden: "../music_channel.h": No such file or directory
effect_xaudio2.cpp
music_buffer_vorbis.cpp
music_buffer.cpp
music_channel_xaudio2.cpp
c:\dev\ryzom\code\nel\src\sound\driver\xaudio2\music_channel_xaudio2.h(24) : fatal error C1083: Datei (Include) kann nicht geöffnet
werden: "../music_channel.h": No such file or directory
adpcm_xaudio2.cpp
source_xaudio2.cpp
listener_xaudio2.cpp
buffer_xaudio2.cpp
Code wird generiert...

Kompilieren...
stddsound.cpp
Kompilieren...
source_dsound.cpp
sound_driver_dsound.cpp
.\sound_driver_dsound.cpp(27) : fatal error C1083: Datei (Include) kann nicht geöffnet werden: ".nel/sound/driver/sound_driver.h": No
such file or directory
listener_dsound.cpp
buffer_dsound.cpp
Code wird generiert...

History
#1 - 05/11/2010 12:18 am - Nille02

Build System is Windows 7 VS2008 SP1

#2 - 05/11/2010 01:31 am - Nille02
- File test.diff added

This solve my Problem
diff -r 8e918a0b7f91 code/nel/src/sound/driver/dsound/sound_driver_dsound.cpp
--- a/code/nel/src/sound/driver/dsound/sound_driver_dsound.cpp    Mon May 10 15:28:57 2010 -0500
+++ b/code/nel/src/sound/driver/dsound/sound_driver_dsound.cpp    Tue May 11 01:30:24 2010 +0200
@ -24,7 +24,7 @@
 #endif
 #define DIRECTSOUND_VERSION 0x0800

-#include ".nel/sound/driver/sound_driver.h" 
+#include "nel/sound/driver/sound_driver.h" 

#include &lt;cmath&gt;

diff r 8e918a0b7f91 code/nel/src/sound/driver/xaudio2/music_channel_xaudio2.h
-- a/code/nel/src/sound/driver/xaudio2/music_channel_xaudio2.h    Mon May 10 15:28:57 2010 -0500
+++ b/code/nel/src/sound/driver/xaudio2/music_channel_xaudio2.h    Tue May 11 01:30:24 2010 +0200
@ -21,7 +21,7 @
 // STL includes

// NeL includes
-#include "../music_channel.h" 
+#include "nel/sound/driver/music_channel.h"
// Project includes

@

#3 - 05/11/2010 09:55 am - kervala
- Status changed from New to Resolved
- Assignee set to sfb
- Target version set to Version 0.8.0
- % Done changed from 0 to 100

#4 - 05/11/2010 11:41 am - Nille02
- File full_patch.diff added

Add some more "fixes". This fix also the georges build.

Please move.

code\nel\src\sound\driver\dsound\buffer_dsound.h
code\nel\src\sound\driver\dsound\listener_dsound.h
code\nel\src\sound\driver\dsound\sound_driver_dsound.h
code\nel\src\sound\driver\dsound\source_dsound.h

to:

code\nel\include\nel\sound\driver\dsound\buffer_dsound.h
code\nel\include\nel\sound\driver\dsound\listener_dsound.h
code\nel\include\nel\sound\driver\dsound\sound_driver_dsound.h
code\nel\include\nel\sound\driver\dsound\source_dsound.h

I don't have moved the stddsound.h because its an precompiled header and i have no clue how to change it. If i remove the precompiled header id
works but i think ( hope ) it has an reason.
#5 - 05/11/2010 05:35 pm - Kane

Just wanted to add this is still an on going issues here's what I get in errors now:

13>music_channel_xaudio2.cpp
13>.\music_channel_xaudio2.cpp(28) : fatal error C1083: Cannot open include file: 'nel/sound/driver/music_buffer.h': No such file or directory
13>adpcm_xaudio2.cpp

Things are getting better this was taken from 
96 (0ab3d3e47271)  default   tip

#6 - 05/11/2010 09:34 pm - kervala

Nille02> We shouldn't move these headers because they are private to sound drivers :) It's the same case than for 3d driver, both files (.h and .cpp)
are in nel/src/*/drivers

#7 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

Files
test.diff 881 Bytes 05/11/2010 Nille02
full_patch.diff 5.9 kB 05/11/2010 Nille02
